On Thu, Sep 20, 2012 at 11:59:51AM -0500, David Matthew Mattli wrote:
> Package: qgis
> Version: 1.7.4+1.7.5~20120320-1.1
> Severity: important
> Tags: 
> 
> Dear Maintainer,
> 
> qgis currently fails to build on powerpc. The problem seems to be
> the src/core/spatialite/spatialite.c file which somehow makes
> gcc emit code that the assembler rejects. I have two powerpc
> systems that I've reproduced the problem on. They have identical
> output to buildd log:
> https://buildd.debian.org/status/fetch.php?pkg=qgis&arch=powerpc&ver=1.7.4%2B1.7.5~20120320-1.1&stamp=1337680851
> 
> I tried to build with both gcc-4.6 and gcc-4.7 but get the 
> same errors.
> 

It is a well known issue triggered by the size of the file for
both compilers on that arch.

> qgis has libspatialite-dev as a build-dep and libspatialite3 as
> a depedency of the binary package, through libgdal1, so why not
> use the external libspatialite ?
> 
> I removed the comment from the line
>        CMAKE_OPTS += -D WITH_INTERNAL_SPATIALITE=FALSE
> in the debian/rules file and the package builds fine.
> 
> The maintainers of qgis say that the amalgamated version of 
> spatialite.c included with qgis is mainly for windows support:
> http://hub.qgis.org/issues/4030
> 

Unfortunately the wheezy version of spatialite has the same
issue.

-- 
Francesco P. Lovergine

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to